summaryrefslogtreecommitdiffstats
path: root/contrib/dialog/samples/inputbox3
diff options
context:
space:
mode:
authornwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
committernwhitehorn <nwhitehorn@FreeBSD.org>2011-01-12 14:55:02 +0000
commit3d4e8889889e5e36302454225999f7e146d3219c (patch)
treefa315b999f531039df54ab7af8e99f7e8daad77c /contrib/dialog/samples/inputbox3
parentb905920a72950a63c9782b4911d252bfac08db6e (diff)
downloadFreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.zip
FreeBSD-src-3d4e8889889e5e36302454225999f7e146d3219c.tar.gz
Update dialog to version 20100428. This changes the license under which
dialog is distributed from GPLv2 to LGPLv2 and introduces a number of new features and a new and better libdialog API. The existing libdialog will be kept temporarily as libodialog for compatibility purposes until sade, sysinstall and tzsetup have been either updated or replaced. __FreeBSD_version is now 900030. Discussed on: -current Approved by: core Obtained from: http://invisible-island.net/dialog
Diffstat (limited to 'contrib/dialog/samples/inputbox3')
-rwxr-xr-xcontrib/dialog/samples/inputbox321
1 files changed, 21 insertions, 0 deletions
diff --git a/contrib/dialog/samples/inputbox3 b/contrib/dialog/samples/inputbox3
new file mode 100755
index 0000000..d343e0a
--- /dev/null
+++ b/contrib/dialog/samples/inputbox3
@@ -0,0 +1,21 @@
+#!/bin/sh
+# $Id: inputbox3,v 1.7 2010/01/13 10:20:03 tom Exp $
+
+. ./setup-vars
+
+. ./setup-tempfile
+
+$DIALOG --nocancel \
+ --title "INPUT BOX" --clear "$@" \
+ --inputbox "Hi, this is an input dialog box. You can use \n\
+this to ask questions that require the user \n\
+to input a string as the answer. You can \n\
+input strings of length longer than the \n\
+width of the input box, in that case, the \n\
+input field will be automatically scrolled. \n\
+You can use BACKSPACE to correct errors. \n\n\
+Try entering your name below:" 16 51 2> $tempfile
+
+retval=$?
+
+. ./report-tempfile
OpenPOWER on IntegriCloud